imagecreatefromwebp
imagecreatefromxpm
GD and Image Functions
PHP Manual

# imagecreatefromxbm

Create a new image from file or URL

### Description

resource imagecreatefromxbm ( string `$filename` )

imagecreatefromxbm returns an image identifier representing the image obtained from the given filename.

Tip

A URL can be used as a filename with this function if the fopen wrappers have been enabled. See fopen for more details on how to specify the filename. See the Supported Protocols and Wrappers for links to information about what abilities the various wrappers have, notes on their usage, and information on any predefined variables they may provide.

### Parameters

`filename`

  Path to the XBM image.

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Examples

Example #1 Convert an XBM image to a png image using imagecreatefromxbm

`<?php
// Load the xbm file
$xbm = imagecreatefromxbm('./example.xbm');
// Convert it to a png file
imagepng($xbm, './example.png');
imagedestroy($xbm);
?>`

### Notes

Warning

Windows versions of PHP prior to PHP 4.3.0 do not support access of remote files via this function, even if allow_url_fopen is enabled.